Class | RUNIT::CUI::TestRunner
In: | runit/cui/testrunner.rb
Parent: | Test::Unit::UI::Console::TestRunner

### Methods

create_mediator create_result new quiet_mode= run run

### Public Class methods

new()

[Source]

    # File runit/cui/testrunner.rb, line 17
          def initialize
            super nil
          end

quiet_mode=(boolean)

[Source]

    # File runit/cui/testrunner.rb, line 46
          def self.quiet_mode=(boolean)
            @@quiet_mode = boolean
          end

run(suite)

[Source]

    # File runit/cui/testrunner.rb, line 13
          def self.run(suite)
            self.new().run(suite)
          end

### Public Instance methods

create_mediator(suite)

[Source]

    # File runit/cui/testrunner.rb, line 30
          def  create_mediatorcreate_mediator(suite)
            mediator = Test::Unit::UI::TestRunnerMediator.new(suite)
            class << mediator
              attr_writer :result_delegate
              def create_result
                return @result_delegate.create_result
              end
            end
            mediator.result_delegate = self
            return mediator
          end

create_result()

[Source]

    # File runit/cui/testrunner.rb, line 42
          def create_result
            return RUNIT::TestResult.new
          end

run(suite, quiet_mode=@@quiet_mode)

[Source]

    # File runit/cui/testrunner.rb, line 21
          def run(suite, quiet_mode=@@quiet_mode)
            @suite = suite
            def @suite.suite
              self
            end
            @output_level = (quiet_mode ? Test::Unit::UI::PROGRESS_ONLY : Test::Unit::UI::VERBOSE)
            start
          end

[Validate]